# -*- coding: utf-8 -*-
 
from django.shortcuts import render
from django.views.decorators import csrf
from info.models import *
from django.apps import apps
 
# 接收POST请求数据
def printers(request):
    ctx ={}
    result = {}
    ctx['printers'] = []
    app_models = apps.get_app_config('info').get_models(include_auto_created=False)
    for model in app_models:
        if request.POST:
            result[model._meta.db_table] = model.objects.filter(printer__contains=request.POST['q'])
        else:
            result[model._meta.db_table] = model.objects.all()
        for printer in result[model._meta.db_table]:
            ctx['printers'] += {"printer":printer.printer,"driver":printer.driver},

    return render(request, "printers.html", ctx)
